libgdamm: Gnome::Gda::Value Class Reference

libgdamm 4.99.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Gnome::Gda::Value Class Reference

Use value_type() to identify the value type at runtime. More...

Inheritance diagram for Gnome::Gda::Value:
[legend]
Collaboration diagram for Gnome::Gda::Value:
[legend]

## Public Member Functions
| Value ()
| Value (const GValue* castitem)
| Value (const Value& src)
Value& | operator= (const Value& src)
| ~Value ()
| Value (const guchar* val, long size)
| Value (const GdaBlob* val)
| Value (bool val)
| Value (const Glib::Date& val)
| Value (const GeometricPoint& val)
| Value (int val)
| Value (const Numeric& val)
| Value (double val)
| Value (float val)
| Value (gshort val)
| Value (gushort val)
| Value (gulong val)
| Value (const Glib::ustring& val)
| Value (const char* val)
| Value (const Time& val)
| Value (const Timestamp& val)
| Value (gchar val)
| Value (guchar val)
| Value (guint val)
| Value (const Glib::ustring& as_string, GType type)
bool | operator== (const Value& src) const
bool | operator!= (const Value& src) const
GType | get_value_type () const
bool | is_null () const
void | set_null ()
bool | is_number () const
gint64 | get_int64 () const
void | set_int64 (gint64 val)
guint64 | get_uint64 () const
void | set_uint64 (guint64 val)
const guchar* | get_binary (long&size) const
void | set (const guchar* val, long size)
const GdaBlob* | get_blob () const
void | set (const GdaBlob* val)
bool | get_boolean () const
void | set (bool val)
Glib::Date | get_date () const
void | set (const Glib::Date& val)
double | get_double () const
void | set (double val)
| Use set_double(). More...
void | set_double (double val)
GeometricPoint | get_geometric_point () const
void | set (const GeometricPoint& val)
Glib::RefPtr< const Glib::Object > | get_gobject ()
void | set (const Glib::RefPtr< Glib::Object >& val)
int | get_int () const
void | set (int val)
Numeric | get_numeric () const
void | set (const Numeric& val)
float | get_float () const
void | set (float val)
| Use set_float(). More...
void | set_float (float val)
gshort | get_short () const
void | set (gshort val)
gushort | get_ushort () const
void | set (gushort val)
glong | get_long () const
void | set (glong val)
gulong | get_ulong () const
void | set (gulong val)
Glib::ustring | get_string () const
void | set (const Glib::ustring& val)
void | set (const char* val)
Time | get_time () const
void | set (const Time& val)
Timestamp | get_timestamp () const
void | set (const Timestamp& val)
void | set (gchar val)
void | set (guchar val)
guint | get_uint () const
void | set (guint val)
GType | get_g_type () const
void | set_g_type (GType val)
Glib::ustring | to_string () const

## Static Public Member Functions
static Value | create_as_int64 (gint64 val)
static Value | create_as_uint64 (guint64 val)
static Value | create_as_double (double val)
static Value | create_as_float (float val)
static Value | create_as_time_t (time_t val)

## Detailed Description

Use value_type() to identify the value type at runtime.

## Constructor & Destructor Documentation

Gnome::Gda::Value::Value | ( |  | ) |

Gnome::Gda::Value::Value | ( | const GValue * | castitem | ) |
| explicit

Gnome::Gda::Value::Value | ( | const Value& | src | ) |

Gnome::Gda::Value::~Value | ( |  | ) |

Gnome::Gda::Value::Value | ( | const guchar * | val,
|  | long | size
| ) |  |
| explicit

Gnome::Gda::Value::Value | ( | const GdaBlob * | val | ) |
| explicit

Gnome::Gda::Value::Value | ( | bool | val | ) |
| explicit

Gnome::Gda::Value::Value | ( | const Glib::Date & | val | ) |
| explicit

Gnome::Gda::Value::Value | ( | const GeometricPoint& | val | ) |
| explicit

Gnome::Gda::Value::Value | ( | int | val | ) |
| explicit

Gnome::Gda::Value::Value | ( | const Numeric& | val | ) |
| explicit

Gnome::Gda::Value::Value | ( | double | val | ) |
| explicit

Deprecated:
  Use create_as_double() instead.

Gnome::Gda::Value::Value | ( | float | val | ) |
| explicit

Deprecated:
  Use create_as_double() instead.

Gnome::Gda::Value::Value | ( | gshort | val | ) |
| explicit

Gnome::Gda::Value::Value | ( | gushort | val | ) |
| explicit

Gnome::Gda::Value::Value | ( | gulong | val | ) |
| explicit

Gnome::Gda::Value::Value | ( | const Glib::ustring & | val | ) |
| explicit

Gnome::Gda::Value::Value | ( | const char * | val | ) |
| explicit

Gnome::Gda::Value::Value | ( | const Time& | val | ) |
| explicit

Gnome::Gda::Value::Value | ( | const Timestamp& | val | ) |
| explicit

Gnome::Gda::Value::Value | ( | gchar | val | ) |
| explicit

Gnome::Gda::Value::Value | ( | guchar | val | ) |
| explicit

Gnome::Gda::Value::Value | ( | guint | val | ) |
| explicit

Gnome::Gda::Value::Value | ( | const Glib::ustring & | as_string,
|  | GType | type
| ) |  |
| explicit

## Member Function Documentation

static Value Gnome::Gda::Value::create_as_double | ( | double | val | ) |
| static

static Value Gnome::Gda::Value::create_as_float | ( | float | val | ) |
| static

static Value Gnome::Gda::Value::create_as_int64 | ( | gint64 | val | ) |
| static

static Value Gnome::Gda::Value::create_as_time_t | ( | time_t | val | ) |
| static

static Value Gnome::Gda::Value::create_as_uint64 | ( | guint64 | val | ) |
| static

const guchar* Gnome::Gda::Value::get_binary | ( | long & | size | ) | const

const GdaBlob* Gnome::Gda::Value::get_blob | ( |  | ) | const

bool Gnome::Gda::Value::get_boolean | ( |  | ) | const

Glib::Date Gnome::Gda::Value::get_date | ( |  | ) | const

double Gnome::Gda::Value::get_double | ( |  | ) | const

float Gnome::Gda::Value::get_float | ( |  | ) | const

GType Gnome::Gda::Value::get_g_type | ( |  | ) | const

GeometricPoint Gnome::Gda::Value::get_geometric_point | ( |  | ) | const

Glib::RefPtr<const Glib::Object> Gnome::Gda::Value::get_gobject | ( |  | ) |

int Gnome::Gda::Value::get_int | ( |  | ) | const

gint64 Gnome::Gda::Value::get_int64 | ( |  | ) | const

glong Gnome::Gda::Value::get_long | ( |  | ) | const

Numeric Gnome::Gda::Value::get_numeric | ( |  | ) | const

gshort Gnome::Gda::Value::get_short | ( |  | ) | const

Glib::ustring Gnome::Gda::Value::get_string | ( |  | ) | const

Time Gnome::Gda::Value::get_time | ( |  | ) | const

Timestamp Gnome::Gda::Value::get_timestamp | ( |  | ) | const

guint Gnome::Gda::Value::get_uint | ( |  | ) | const

guint64 Gnome::Gda::Value::get_uint64 | ( |  | ) | const

gulong Gnome::Gda::Value::get_ulong | ( |  | ) | const

gushort Gnome::Gda::Value::get_ushort | ( |  | ) | const

GType Gnome::Gda::Value::get_value_type | ( |  | ) | const

bool Gnome::Gda::Value::is_null | ( |  | ) | const

bool Gnome::Gda::Value::is_number | ( |  | ) | const

bool Gnome::Gda::Value::operator!= | ( | const Value& | src | ) | const

Value& Gnome::Gda::Value::operator= | ( | const Value& | src | ) |

bool Gnome::Gda::Value::operator== | ( | const Value& | src | ) | const

void Gnome::Gda::Value::set | ( | const guchar * | val,
|  | long | size
| ) |  |

void Gnome::Gda::Value::set | ( | const GdaBlob * | val | ) |

void Gnome::Gda::Value::set | ( | bool | val | ) |

void Gnome::Gda::Value::set | ( | const Glib::Date & | val | ) |

void Gnome::Gda::Value::set | ( | double | val | ) |

Use set_double().

void Gnome::Gda::Value::set | ( | const GeometricPoint& | val | ) |

void Gnome::Gda::Value::set | ( | const Glib::RefPtr< Glib::Object > & | val | ) |

void Gnome::Gda::Value::set | ( | int | val | ) |

void Gnome::Gda::Value::set | ( | const Numeric& | val | ) |

void Gnome::Gda::Value::set | ( | float | val | ) |

Use set_float().

void Gnome::Gda::Value::set | ( | gshort | val | ) |

void Gnome::Gda::Value::set | ( | gushort | val | ) |

void Gnome::Gda::Value::set | ( | glong | val | ) |

void Gnome::Gda::Value::set | ( | gulong | val | ) |

void Gnome::Gda::Value::set | ( | const Glib::ustring & | val | ) |

void Gnome::Gda::Value::set | ( | const char * | val | ) |

void Gnome::Gda::Value::set | ( | const Time& | val | ) |

void Gnome::Gda::Value::set | ( | const Timestamp& | val | ) |

void Gnome::Gda::Value::set | ( | gchar | val | ) |

void Gnome::Gda::Value::set | ( | guchar | val | ) |

void Gnome::Gda::Value::set | ( | guint | val | ) |

void Gnome::Gda::Value::set_double | ( | double | val | ) |

void Gnome::Gda::Value::set_float | ( | float | val | ) |

void Gnome::Gda::Value::set_g_type | ( | GType | val | ) |

void Gnome::Gda::Value::set_int64 | ( | gint64 | val | ) |

void Gnome::Gda::Value::set_null | ( |  | ) |

void Gnome::Gda::Value::set_uint64 | ( | guint64 | val | ) |

Glib::ustring Gnome::Gda::Value::to_string | ( |  | ) | const

The documentation for this class was generated from the following file:

- libgdamm/value.h